Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class CoreIDPrincipal

`java.lang.Object
oracle.security.jazn.realm.CoreIDPrincipal`

All Implemented Interfaces:
  java.lang.Comparable, java.security.Principal, java.io.Serializable

public class CoreIDPrincipal
extends java.lang.Object
implements java.security.Principal, java.lang.Comparable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`CoreIDPrincipal(java.lang.String principal)`

Method Summary
`int` | `compareTo(CoreIDPrincipal p)`
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()`
`java.security.Principal` | `getPrincipal()`
`protected java.lang.String` | `getSimpleName(java.lang.String dn)` Given a DN, return the simple name.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoreIDPrincipal

    public CoreIDPrincipal(java.lang.String principal)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.security.Principal`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.security.Principal`

### getPrincipal

    public java.security.Principal getPrincipal()

### compareTo

    public int compareTo(CoreIDPrincipal p)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getSimpleName

    protected java.lang.String getSimpleName(java.lang.String dn)

  Given a DN, return the simple name. simple name is rdn without the naming attribute, get it from the dn if dn is "cn=user1, cn =oracle" then the simple name will be "user1"

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.security.Principal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.